# hey Emacs, its -*- mode: rpm-spec; coding: cyrillic-cp1251; -*-
# $Id: acl,v 1.19 2003/05/20 11:12:01 ab Exp $

Name: acl
Version: 2.2.4
Release: alt2

Summary: Command for manipulating access control lists
License: GPL
Group: System/Kernel and hardware
Url: http://oss.sgi.com/projects/xfs/
Packager: Alexander Bokovoy <ab@altlinux.ru>

Source: ftp://oss.sgi.com/projects/xfs/download/cmd_tars/%name-%version.src.tar.bz2

BuildPreReq: libtool = 1.4.3, rpm-build >= 4.0.4-alt10

# makefiles are buggy
BuildConflicts: libacl-devel

Requires: lib%name = %version-%release

# Automatically added by buildreq on Fri Dec 27 2002
BuildRequires: libattr-devel

%description
A command (chacl) to manipulate POSIX access control lists
under Linux.

%package -n lib%name
Summary: Main library for %name
Group: System/Libraries

%description -n lib%name
This package contains the library needed to run programs dynamically
linked with lib%name.

%package -n lib%name-devel
Summary: Access control list headers
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the header files needed to
develop programs which make use of POSIX access control lists.

You should install this package if you want to develop programs
which make use of ACLs.  If you install this package, you'll
also want to install lib%name.

%package -n lib%name-devel-static
Summary: Access control list static libraries
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains the static libraries needed to
develop programs which make use of POSIX access control lists.

You should install this package if you want to develop programs
which make use of ACLs.  If you install this package, you'll
also want to install lib%name-devel.

%prep
%setup -q

%build
%set_libtool_version 1.4
export DEBUG="-DNDEBUG"
autoconf
%configure
%make_build

%install
make install install-lib install-dev DIST_ROOT=$RPM_BUILD_ROOT

# Workaround bug in makefiles
%__rm -f $RPM_BUILD_ROOT%_libdir/*.{so,*a}
%__install -p -m644 */.libs/*.a $RPM_BUILD_ROOT%_libdir/

# Relocate shared libraries from %_libdir/ to /lib/.
%__mkdir_p $RPM_BUILD_ROOT/lib
%__mv $RPM_BUILD_ROOT%_libdir/*.so.* $RPM_BUILD_ROOT/lib/
%__chmod 644 $RPM_BUILD_ROOT/lib/*
for f in */.libs/*.so; do
	t=`objdump -p "$f" |awk '/SONAME/ {print $2}'`
	[ -n "$t" ]
	%__ln_s -nf ../../lib/"$t" "$RPM_BUILD_ROOT%_libdir/${f##*/}"
done

# Relocate chacl.
%__mkdir -p $RPM_BUILD_ROOT/bin
mv -f $RPM_BUILD_ROOT%_bindir/chacl $RPM_BUILD_ROOT/bin/

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
/bin/*
%_bindir/*
%_man1dir/*
%doc doc/CHANGES.gz README

%files -n lib%name
/lib/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_mandir/man[235]/*
%_includedir/%name
%_includedir/*/*
%doc doc/PORTING

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Thu Aug 21 2003 Dmitry V. Levin <ldv@altlinux.org> 2.2.4-alt2
- Explicitly use old libtool for build.
- Fixed -devel packaging.

* Tue May 20 2003 Alexander Bokovoy <ab@altlinux.ru> 2.2.4-alt1
- 2.2.4, changed maintainer
- Updated buildrequires
- Fixed mess with static libraries

* Fri Dec 27 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.11-alt1
- 2.0.11
- Added buildrequires

* Wed Apr 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.5-alt0.1cvs
- 2.0.5

* Wed Dec 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt2
- Rebuild with new kernel

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt1
- First build for Sisyphus

* Sat Sep 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3.

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.2-2mdk
- Fix provides.

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.2-1mdk
- Rework the .spec.
- Make libs in subpackage.
- 1.1.2.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-1mdk
- First attempt.

# end of file

